Package org.kapott.hbci.tools

## Class INILetter

- java.lang.Object
- - org.kapott.hbci.tools.INILetter

    public final class INILetter
    extends java.lang.Object

Tool zum Erzeugen eines INI-Briefes. Diese Klasse enthält kein Programmier-API, sondern ist direkt mit `java org.kapott.hbci.tools.INILetter [passporttype [passport-file [textfile]]]` ausführbar.

Mit diesem Tool kann zu einem bereits existierenden RDH-Passport ein INI-Brief erzeugt werden. Das Passport muss dabei schon initialisiert sein, und es müssen bereits Schlüssel erzeugt worden sein. Dieses Tool wird also i.d.R. dann benötigt, wenn ein Passport erstmalig erzeugt wird und die Programmausführung mit der Meldung "Es muss ein INI-Brief erzeugt werden..." abbricht.

Das erste Kommandozeilenargument `passporttype` gibt an, ob es sich um ein `RDH`-, ein `RDHNew`-, ein `SIZRDHFile`- oder ein `RDHXFile`-Passport-Format handelt. `RDH`-Passports sollten nicht mehr verwendet werden (siehe dazu auch Datei `README.RDHNew`). Für `SIZRDHFile`-Passports wird eine separate Bibliothek benötigt (siehe `HBCIPassportSIZRDHFile`).

Das zweite Kommandozeilenargument `passport-file` ist dabei die Schlüsseldatei, in der die Passport-Daten gespeichert sind (entspricht also dem Inhalt von `client.passport.*.filename`).

Das Argument `textfile` gibt den Dateinamen einer Datei an, in die der INI-Brief geschrieben werden soll. Der INI-Brief wird als reine ASCII-Ausgabe erzeugt, welche ausgedruckt, unterschrieben und an die Bank versandt werden kann.

Falls ein oder beide Parameter nicht angegeben sind, so fragt das Tool interaktiv nach den entsprechenden Daten.

### Constructor Summary

Constructors
`INILetter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### INILetter

    public INILetter()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)
                     throws java.io.IOException

Throws:
  `java.io.IOException`